# ScorecardTemplates Object

> Source: https://truto.one/docs/api-reference/unified-conversational-intelligence-api/scorecardtemplates/

Schema for the `ScorecardTemplates` resource in **Unified Conversational Intelligence API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the scorecard template
- **`name`** _(string)_
  Name of the scorecard template
- **`type`** _(string)_
  The type of the scorecard template in the source system
- **`enabled`** _(boolean)_
  Whether the scorecard template is enabled in the source system
- **`review_method`** _(string)_
  Default review method for the template. Can be `manual`, `automatic`, or `both`.
- **`fields`** _(array<object>)_
  The scorecard fields
  - **`id`** _(string)_
    The field's unique identifier
  - **`name`** _(string)_
    The field's name. This is the name of the property in the entity.
  - **`label`** _(string)_
    The field's label
  - **`placeholder`** _(string)_
    The field's placeholder
  - **`description`** _(string)_
    The field's description
  - **`position`** _(number)_
    The index position of field in the scorecard template.
  - **`type`** _(string)_
    The field's type. If no clear mapping exists, then raw value is returned.
    Allowed: `statement`, `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file` (+5 more)
  - **`format`** _(string)_
    The format of the field.
    Allowed: `url`, `email`, `password`
  - **`validation`** _(string)_
    The validation string for the field.
  - **`range`** _(object)_
    The range applicable for field types number, rating, scale.
    - **`min`** _(number)_
      The minimum range for the field.
    - **`min_label`** _(number)_
      The label for the minimum range of the field.
    - **`max`** _(number)_
      The maximum range for the field.
    - **`max_label`** _(number)_
      The label for the maximum range of the field.
  - **`is_required`** _(boolean)_
    Whether the field is required
  - **`is_overall`** _(boolean)_
    Whether this field is the overall summary question
  - **`options`** _(array<object>)_
    The field's options
    - **`label`** _(string)_
      The option's label
    - **`value`** _(string)_
      The option's value
    - **`description`** _(string)_
      The option's description
  - **`field_group`** _(object)_
    The field's group identifier. If present, the field is part of a group.
    - **`id`** _(string)_
      The field groups's identifier
    - **`name`** _(string)_
      The field groups's name
    - **`label`** _(string)_
      The field groups's label
  - **`rows`** _(array<object>)_
    The field's rows. If present, the field's type is matrix
    - **`label`** _(string)_
      The row's label
    - **`value`** _(string)_
      The row's value
    - **`description`** _(string)_
      The row's description
  - **`columns`** _(array<object>)_
    The field's columns. If present, the field's type is matrix
    - **`label`** _(string)_
      The column's label
    - **`value`** _(string)_
      The column's value
    - **`description`** _(string)_
      The column's description
    - **`options`** _(array<object>)_
      The field's options
      - **`label`** _(string)_
        The option's label
      - **`value`** _(string)_
        The option's value
      - **`description`** _(string)_
        The option's description
- **`workspace`** _(object)_
  The workspace to which the scorecard template belongs.
  - **`id`** _(string)_
    The unique identifier of the workspace.
  - **`name`** _(string)_
    The name of the workspace.
- **`created_by`** _(object)_
  User who last updated the scorecard template in the source system.
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
- **`created_at`** _(string)_
  Creation time of the scorecard template
- **`updated_at`** _(string)_
  Last updated time of the scorecard template
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/conversational-intelligence/scorecard-templates](/docs/api-reference/unified-conversational-intelligence-api/scorecardtemplates/list) — List Scorecard templates
